# $Revision: 1.18 $, $Date: 2012/06/21 10:17:01 $
Summary:	AppArmor profiles
Summary(pl.UTF-8):	Profile AppArmor
Name:		apparmor-profiles
Version:	2.8.0
Release:	1
Epoch:		1
License:	GPL v2
Group:		Base
Source0:	http://launchpad.net/apparmor/2.8/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	eaf90c52992df3d205a753b2933595fe
URL:		http://apparmor.wiki.kernel.org/
Requires:	apparmor-parser
Provides:	subdomain-profiles
Obsoletes:	subdomain-profiles
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		extras_dir	%{_sysconfdir}/apparmor/profiles/extras
%define		profiles_dir	%{_sysconfdir}/apparmor.d

%description
Base AppArmor profiles (aka security policy). AppArmor is a file
mandatory access control mechanism. AppArmor confines processes to the
resources allowed by the systems administrator and can constrain the
scope of potential security vulnerabilities. This package is part of a
suite of tools that used to be named SubDomain.

%description -l pl.UTF-8
Podstawowe profile AppArmor (zwane także polityką bezpieczeństwa).
AppArmor to mechanizm obowiązkowej kontroli dostępu do plików.
AppArmor ogranicza procesy do zasobów udostępnionych przez
administratora systemu i może ograniczać zakres potencjalnych luk w
bezpieczeństwie. Ten pakiet jest częścią zestawu narzędzi zwanych
SubDomain.

%package abstractions
Summary:	Abstraction AppArmor files
Summary(pl.UTF-8):	Pliki abstrakcji dla AppArmor
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description abstractions
Abstraction AppArmor files.

%description abstractions -l pl.UTF-8
Pliki abstrakcji dla AppArmor.

%package examples
Summary:	Example AppArmor profiles
Summary(pl.UTF-8):	Przykładowe profile AppArmor
Group:		Base
Requires:	%{name}-abstractions = %{epoch}:%{version}-%{release}

%description examples
Example AppArmor profiles.

%description examples -l pl.UTF-8
Przykładowe profile AppArmor.

%prep
%setup -q -n apparmor-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/apparmor.d/cache

%{__make} -C profiles install \
	DESTDIR=$RPM_BUILD_ROOT \
	EXTRASDIR=$RPM_BUILD_ROOT%{extras_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_sysconfdir}/apparmor
%dir %{_sysconfdir}/apparmor/profiles
%dir %{_sysconfdir}/apparmor.d
%dir %{_sysconfdir}/apparmor.d/abstractions
%dir %{_sysconfdir}/apparmor.d/cache
%dir %{_sysconfdir}/apparmor.d/local
%dir %{_sysconfdir}/apparmor.d/program-chunks
%dir %{_sysconfdir}/apparmor.d/tunables
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/alias
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/global
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/home
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/multiarch
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/ntpd
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/proc
%dir %{_sysconfdir}/apparmor.d/tunables/home.d
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/home.d/site.local
%dir %{_sysconfdir}/apparmor.d/tunables/multiarch.d
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/tunables/multiarch.d/site.local

%files abstractions
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/X
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/apache2-common
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/aspell
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/audio
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/authentication
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/base
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/bash
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/consoles
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/cups-client
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/dbus
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/dbus-session
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/enchant
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/fonts
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/freedesktop.org
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/gnome
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/gnupg
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ibus
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/kde
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/kerberosclient
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/launchpad-integration
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ldapclient
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/likewise
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/mdns
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/mysql
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/nameservice
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/nis
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/nvidia
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/openssl
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/orbit2
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/p11-kit
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/perl
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/php5
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/private-files
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/private-files-strict
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/python
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ruby
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/samba
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/smbpass
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ssl_certs
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ssl_keys
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/svn-repositories
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-bittorrent-clients
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-console-browsers
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-console-email
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-email
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-feed-readers
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-gnome-terminal
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-helpers
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-konsole
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-media-players
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-xterm
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/user-download
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/user-mail
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/user-manpages
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/user-tmp
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/user-write
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/video
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/web-data
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/winbind
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/wutmp
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/xad
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/xdg-desktop
%dir %{profiles_dir}/abstractions/ubuntu-browsers.d
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/java
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/kde
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/mailto
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/multimedia
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/plugins-common
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/productivity
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/text-editors
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/ubuntu-integration
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/ubuntu-integration-xul
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/abstractions/ubuntu-browsers.d/user-files

%files examples
%defattr(644,root,root,755)
%dir %{extras_dir}
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/bin.ping
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/sbin.*
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/usr.lib.*
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/usr.sbin.*
%dir %{profiles_dir}/apache2.d
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/apache2.d/phpsysinfo
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/local/README
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/local/bin.ping
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/local/sbin.*
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/local/usr.lib.*
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/local/usr.sbin.*
%config(noreplace) %verify(not md5 mtime size) %{profiles_dir}/program-chunks/postfix-common
%config(noreplace) %verify(not md5 mtime size) %{extras_dir}/README
%config(noreplace) %verify(not md5 mtime size) %{extras_dir}/bin.netstat
%config(noreplace) %verify(not md5 mtime size) %{extras_dir}/etc.cron.daily.*
%config(noreplace) %verify(not md5 mtime size) %{extras_dir}/sbin.*
%config(noreplace) %verify(not md5 mtime size) %{extras_dir}/usr.NX.bin.nxclient
%config(noreplace) %verify(not md5 mtime size) %{extras_dir}/usr.bin.*
%config(noreplace) %verify(not md5 mtime size) %{extras_dir}/usr.lib.*
%config(noreplace) %verify(not md5 mtime size) %{extras_dir}/usr.lib64.GConf.2.gconfd-2
%config(noreplace) %verify(not md5 mtime size) %{extras_dir}/usr.sbin.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apparmor-profiles.spec,v $
Revision 1.18  2012/06/21 10:17:01  arekm
- up to 2.8.0

Revision 1.17  2012/04/07 05:26:13  qboosh
- GPL version
- no config() for dirs

Revision 1.16  2012/04/05 20:51:33  arekm
- up to 2.7.2

Revision 1.15  2011/12/12 20:57:50  arekm
- rel 2; provide dir for caching

Revision 1.14  2011/04/01 07:32:21  arekm
- up to 2.6.1

Revision 1.13  2011/03/13 15:11:05  arekm
- up to 2.6.0

Revision 1.12  2010/03/16 21:57:57  arekm
- up to 2.5

Revision 1.11  2008/06/06 12:41:13  arekm
- up to 2.3.1245

Revision 1.10  2008-03-11 12:20:06  hawk
- strict internal deps
- I don't remember anyone complaining about this package so release 1

Revision 1.9  2007-08-31 12:20:50  wolvverine
- up to 2.0.2.742

Revision 1.8  2007/04/14 00:07:33  zbyniu
- up to 2.0.2-563; epoch 1

Revision 1.7  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.5  2006/12/12 21:10:21  arekm
- rel 0.3; extras also moved to examples

Revision 1.4  2006/12/12 17:14:14  arekm
- abstractions and examples subpackages

Revision 1.3  2006/12/01 00:29:51  zbyniu
- up to september snapshot

Revision 1.2  2006/05/09 20:13:23  qboosh
- pl

Revision 1.1  2006/04/27 21:36:32  zbyniu
- new
